Package org.eclipse.mat.ui.internal

## Class Perspective

- java.lang.Object
- - org.eclipse.mat.ui.internal.Perspective

All Implemented Interfaces:
  `IPerspectiveFactory`

    public class Perspective
    extends Object
    implements IPerspectiveFactory

### Nested Class Summary

Nested Classes
`static class` `Perspective.Views`

### Constructor Summary

Constructors
`Perspective()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `createInitialLayout​(IPageLayout layout)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Perspective

    public Perspective()

### Method Detail

#### createInitialLayout

    public void createInitialLayout​(IPageLayout layout)

Specified by:
  `createInitialLayout` in interface `IPerspectiveFactory`